Page 1 of 1

Installing Code::Blocks 8.02 on Ubuntu A simple approach to installing the newest Code::Blocks release. Rate Topic: ***** 1 Votes

#1 Nykc  Icon User is offline

  • Gentleman of Leisure
  • member icon

Reputation: 726
  • View blog
  • Posts: 8,638
  • Joined: 14-September 07

Posted 08 March 2008 - 10:20 AM

After a few days of struggling myself I decided to save the rest of you some heartache and offered up this tutorial. I hope it helps.

To install Code::Blocks 8.02 go to http://www.codeblocks.org/downloads
Find the Ubuntu package. This tutorial will cover the install of the binaries.

Go ahead and save codeblocks_8.02-0ubuntu1.deb to your desktop.
Right click and extract the package to your desktop.
The following package will contain:
codeblocks_8.02-0ubuntu1_i386.deb
codeblocks-contrib_8.02-0ubuntu1_i386.deb
codeblocks-dbg_8.02-0ubuntu1_i386.deb
codeblocks-dev_8.02-0ubuntu1_i386.deb
libcodeblocks0_8.02-0ubuntu1_i386.deb
libwxsmithlib0_8.02-0ubuntu1_i386.deb
libwxsmithlib0-dev_8.02-0ubuntu1_i386.deb


You will need to make sure you can develop wxWidgets applications before Code::Blocks will install.
There is a nice walk-thru tutorial that can be found on the codeblocks wiki at : Code::Blocks Wiki

or you can just enter this command in your terminal. Watch the word wrap as this should all be on 1 line.

sudo apt-get install build-essential gdb libwxgtk2.8-0 libwxgtk2.8-dev wx2.8-headers wx2.8-doc wx-common



Even though this was set the dependencies are not recognized by Code::Blocks so then you have to manually override by going to: http://apt.wxwidgets.org/dists/ and download libwxbase2.8-0_2.8.7.1-0_XXX.deb & libwxgtk2.8-0_2.8.7.1-0_XXX.deb at the least.

When you go to install it will probably say something along the lines of wxgtk2.8 being current. Go ahead and install over it with both packages.

Then go to your codeblocks_8.02-0ubuntu1.deb package and double click libcodeblocks0_8.02-0ubuntu1_i386.deb
This has to be installed first as all of these packages are dependent on each other.
Then double click codeblocks_8.02-0ubuntu1_i386.deb and once installed you are all set.
The rest are optional but make sure you install the lib packages first.

Good Luck!

Is This A Good Question/Topic? 0
  • +

Page 1 of 1